import Vue from "vue";
import Zeedhi from "@zeedhi/vue";
import ZeedhiComponents from "@zeedhi/vuetify";
import { Icons } from "@zeedhi/common";
import router from "../router/router";
import controllers from "../controllers";
import config from "../config/Next";
import "@zeedhi/common/dist/style.css";
import "@zeedhi/vuetify/dist/zd-style.css";
import vuetify from "./vuetify";

Vue.use(Zeedhi, {
	controllers,
	router,
	config
});
Vue.use(ZeedhiComponents);
vuetify.framework.icons.values = Icons.getIcons() as any;
